1. Wallet as a Service(WaaS)
Bitycle Business
English
  • English
  • Turkish
  • Getting started
  • Bitycle Widget
    • introduction
    • demo
    • widgets
      • Advance Chart
      • Full Chart
      • Overview Chart
      • Fear & Greed
      • Technical Analysis
      • Mini Chart
      • Trends
      • Compare
      • Treemap
      • Ticker
      • Digest(AI)
      • News
      • Info
  • Bitycle Lab
    • Introduction
    • Wallet as a Service(WaaS)
      • Introduction
      • Tokens List
        GET
      • Get Balance
        GET
      • Request Ramzlink
        POST
      • Get Ramzlink Status
        GET
      • Request Wallet (VIP)
        POST
      • Callback New Payment
        POST
      • Inquiry payment with trxRefId
        POST
      • Request Withdrawal (VIP)
        POST
      • Get single Withdrawal
        GET
      • Get Deposits
        GET
      • Get Withdrawals
        GET
      • Buy TRON Energy & Bandwidth
        POST
      • Inquiry payment without trxRefId
        POST
    • Blockchain Indexer
      • introduction
      • Blockchain List
      • Contract Info
      • Get Balances
    • Security&Privacy
      • introduction
      • Check Blocked Wallets
      • Add to watch list
      • Get watch list
      • Delete from watch list
      • Get address label
      • Get address information
    • Node as a Service(NaaS)
      • introduction
    • Tokenization
      • introduction
    • Decentralized Storage(IPFS)
      • introduction
    • Hyperledger Services
      • introduction
  • Bitycle Cap
    • introduction
    • Coins
      • introduction
      • Coin List
      • Coin Info
      • Coin Price
      • coin exchange listings
    • Markets
      • introduction
      • Market Price
      • Markets Price
      • Markets List
      • Markets frame info
      • market sparklines
    • exchanges
      • introduction
      • CEX Aggregator(Buy&Sell)
        • introduction
        • get tradable markets
        • get tradable markets price
        • send otc order
        • get orders
        • get balances
      • Exchanges List
      • Exchange Info
      • Exchange Coins Listing
      • Exchange Markets Listing
  • Schemas
    • wallet
  1. Wallet as a Service(WaaS)

Get Withdrawals

Developing
GET
/v1/merchantDashboard/withdrawRequests
Get all of your withdraw transactions.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://chainhub.bitycle.com/v1/merchantDashboard/withdrawRequests?page=1&perPage=20&status=SUCCESS' \
--header 'Authorization: Token xxx'
Response Response Example
{
    "withdrawRequests": {
        "data": [
            {
                "updated_at": "2022-07-21T19:47:15.452Z",
                "created_at": "2022-07-21T19:46:27.894Z",
                "current_balance": "56.40000000",
                "amount": "1.00000000",
                "status": "SUCCESS",
                "type": "webservice",
                "id": 50,
                "description": "Widthraw fund to user 53920",
                "network": "BSC",
                "token": "USDC",
                "trx_hash": "0xadbc8a3...e20979b8f3",
                "withdraw_uniqueu_id": "48023-90852-29",
                "destination": "0x388C818CA8B9251b393131C08a736A67ccB19297"
            },
            {
                "updated_at": "2022-07-20T20:07:13.282Z",
                "created_at": "2022-07-20T20:06:30.890Z",
                "current_balance": "57.40000000",
                "amount": "1.00000000",
                "status": "SUCCESS",
                "type": "webservice",
                "id": 49,
                "description": "Withdraw fund from account description",
                "network": "BSC",
                "token": "USDT",
                "trx_hash": "0x01f2e00...5f86fe97b",
                "withdraw_uniqueu_id": "98293-abdjl-93",
                "destination": "0x388C818CA8B9251b393131C08a736A67ccB19297"
            },
            {
                "updated_at": "2021-01-13T07:03:14.598Z",
                "created_at": "2021-01-13T07:02:25.711Z",
                "current_balance": "32.05952276",
                "amount": "10.00000000",
                "status": "SUCCESS",
                "type": "manual",
                "id": 32,
                "description": "",
                "network": "BSC",
                "token": "USDT",
                "trx_hash": "0x42b1069335...f8343aad",
                "withdraw_uniqueu_id": null,
                "destination": "0x388C818CA8B9251b393131C08a736A67ccB19297"
            },
            {
                "updated_at": "2021-11-29T14:49:21.603Z",
                "created_at": "2021-11-29T14:48:40.192Z",
                "current_balance": "47.00000000",
                "amount": "5.00000000",
                "status": "SUCCESS",
                "type": "manual",
                "id": 27,
                "description": "",
                "network": "ETHEREUM",
                "token": "USDT",
                "trx_hash": "0x6decc6...9cd73d97b0",
                "withdraw_uniqueu_id": null,
                "destination": "0x388C818CA8B9251b393131C08a736A67ccB19297"
            }
        ],
        "total": "4",
        "page": 1,
        "perPage": 15
    }
}
Modified at 2025-11-20 18:06:45
Previous
Get Deposits
Next
Buy TRON Energy & Bandwidth
Built with